import request from '@/utils/request'

// 查询属地通报列表
export function listSdtb(query) {
  return request({
    url: '/tcZz/networkSecurity/sdtb/list',
    method: 'get',
    params: query
  })
}

// 查询属地通报详细
export function getSdtb(id) {
  return request({
    url: '/tcZz/networkSecurity/sdtb/' + id,
    method: 'get'
  })
}

// 新增属地通报
export function addSdtb(data) {
  return request({
    url: '/tcZz/networkSecurity/sdtb',
    method: 'post',
    data: data
  })
}

// 修改属地通报
export function updateSdtb(data) {
  return request({
    url: '/tcZz/networkSecurity/sdtb',
    method: 'put',
    data: data
  })
}

// 删除属地通报
export function delSdtb(id) {
  return request({
    url: '/tcZz/networkSecurity/sdtb/' + id,
    method: 'delete'
  })
}
//批量启用禁用
export function isStatusSdtb(params) {
  return request({
    url: '/tcZz/networkSecurity/sdtb/isStatus',
    method: 'get',
    params
  })
}
//通用导入信息
export function importSdtb(data) {
  return request({
    url: '/tcZz/networkSecurity/sdtb/common/importExcel',
    method: 'post',
    data
  })
}